Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.service
Class ContextElement

    java.lang.Object
      weblogic.security.service.ContextElement

    public class ContextElement

extends Object

A `ContextElement` is an object used to represent a named value that is used in a `ContextHandler`.

Constructor Summary
`ContextElement(String name)` Creates a `ContextElement` with the specified name.
`ContextElement(String name, Object value)` Creates a `ContextElement` with the specified name and value.

Method Summary
`String` | `getName()` Gets the name of the `ContextElement`.
`Object` | `getValue()` Gets the value of the `ContextElement`.
`void` | `setValue(Object value)` Sets the value of the `ContextElement`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextElement

    public ContextElement(String name)

  Creates a `ContextElement` with the specified name.

  Parameters:
    `name` - the name of the `ContextElement`, represented as a String.

### ContextElement

    public ContextElement(String name,
                          Object value)

  Creates a `ContextElement` with the specified name and value.

  Parameters:
    `name` - the name of the `ContextElement`, represented as a String.

    `value` - an `Object` that contains the value of the `ContextElement`.

Method Detail

### getName

    public String getName()

  Gets the name of the `ContextElement`.

  Returns:
    the name of the `ContextElement`, represented as a String.

### getValue

    public Object getValue()

  Gets the value of the `ContextElement`.

  Returns:
    an `Object` that contains the value of the `ContextElement`. The caller is responsible for knowing the data type of the value.

  See Also:
    `ContextElement.setValue(java.lang.Object)`

### setValue

    public void setValue(Object value)

  Sets the value of the `ContextElement`.

  Parameters:
    `value` - an `Object` that contains the value of the `ContextElement`.

  See Also:
    `ContextElement.getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD